Package Details: nginx-mainline-mod-rtmp 1.2.1-15

Git Clone URL: https://aur.archlinux.org/nginx-mainline-mod-rtmp.git (read-only, click to copy)
Package Base: nginx-mainline-mod-rtmp
Description: Module for mainline nginx that adds RTMP support
Upstream URL: https://github.com/arut/nginx-rtmp-module
Licenses: BSD
Submitter: mal
Maintainer: mal
Last Packager: mal
Votes: 5
Popularity: 0.003363
First Submitted: 2017-06-16 02:16
Last Updated: 2019-06-07 16:34

Latest Comments

TheGoliath commented on 2020-05-23 08:15

Okay, sorry. I was not focused on the releases, but on the commits and the activity of the project. Since the project that I mentioned in my Out of Date flag also endorsed sergey's repository, I assumed that it was a better and more up-to-date alternative. I'm sorry that my approach was so superficial

mal commented on 2020-05-06 17:36

TheGoliath: I did not respond to your out-of-date flag because the package is not out of date. Your request to use a different project provided no rationale and seems to be opinion-based. Arut's latest release is over 1.5 years newer than sergey's, has fixes sergey's does not seem to, and the only obvious changes in sergey's are on_playlist, notify_send_redirect, and on_done stats. What am I missing? And if it is a strict improvement, how should the lower version number be handled?

amesgen commented on 2019-03-07 15:05

There seems to be no development in the arut/nginx-rtmp-module repository at the moment. But there is an active fork: https://github.com/sergey-dryabzhinsky/nginx-rtmp-module. It is also used by https://github.com/datarhei/restreamer Although I personally don't have any problems with the version now, one could think about switching in the medium term.

mal commented on 2018-06-18 16:31

No problem. If anyone has any ideas on how to version-match, I'd love to hear it. The only ways that come to mind is a version dependency (but that would probably be painful with most AUR helpers) or keep the source locally and hook nginx updates to rebuild (awkward and inelegant, since I can't just depends=nginx-source).

Duckbuster commented on 2018-06-18 07:49

Sorry, I flagged out of date, but all that has to be done is reinstall for it to work with nginx 1.15

mal commented on 2017-08-17 13:11

It should, and it was until updpkgsums clobbered that. I've also been trying to bump pkgrel every nginx update so this gets rebuilt when you update nginx, but obviously I'm slacking.

imi415 commented on 2017-08-17 11:35

Sorry for the out-of-date notifications... At first I thought it was out-dated until I checked the PKGBUILD file.
Should the sha256sum of nginx source tarball be 'SKIP' instead of a fixed value? It will change after an nginx-mainline package update, and the integerity of this tarball could be verified by its PGP signature.

mal commented on 2017-07-20 03:22

Thanks for the example, I was fighting with that on Debian!

hdhoang commented on 2017-07-20 03:00

since 07-13 with nginx 1.13.3-2, the configure arguments gained --with-cc-opt and a quoted value. This breaks modules' configure script with the unquoted argument "-mtune=generic".

Please try updating your build function as follow:

https://aur.archlinux.org/cgit/aur.git/commit/PKGBUILD?h=nginx-mainline-mod-http-xslt-filter&id=b393c245923f64ea9160a4a04889e24bae37394d

Thanks for your maintenance.